tntdb::Error Class Reference

Baseclass for database-errors. More...

`#include <error.h>`

Inheritance diagram for tntdb::Error:

## Public Member Functions

| Error (const std::string &msg)
| constructor for a error-message More...

## Detailed Description

Baseclass for database-errors.

All errors are handled by throwing this or a derived class.

## Constructor & Destructor Documentation

## Error()

tntdb::Error::Error | ( | const std::string & | msg | ) |

explicit

constructor for a error-message

The documentation for this class was generated from the following file:

- tntdb/error.h